package com.redxun.search.service;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 文件名: SearchService
 * 作者: Zizg
 * 时间: 2022/12/13
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public interface SearchService {


    /**
     * 查询接口
     * @param keyword
     * @param pageIndex
     * @param pageSize
     * @param range
     * @param secretType
     * @param httpServletRequest
     * @return
     */
    Map<String,Object> search(String keyword, Integer pageIndex, Integer pageSize,
                             Integer range, Integer secretType, HttpServletRequest httpServletRequest);


    /**
     * 文件通知
     * @param pkId
     * @param documentId
     * @param documentTitle
     * @param documentName
     * @param documentPath
     * @param documentUrl
     * @param downloadUrl
     * @param documentMd5
     * @param uploaderName
     * @param uploader
     * @param uploaderHead
     * @param remark
     * @param needText
     * @return
     */
    Map<String,Object> notice(String pkId,String documentId,String documentTitle,String documentName,String documentPath,String documentUrl,
                              String downloadUrl,String documentMd5,String uploaderName,String uploader,String uploaderHead,String remark,
                              Integer needText);

    /**
     * 文件详情
     * @param documentId
     * @param userId
     * @param secretType
     * @param httpServletRequest
     * @return
     */
    Map<String, Object> view(String documentId, String userId, String secretType, HttpServletRequest httpServletRequest);

    /**
     * 文件删除
     * @param documentId
     * @return
     */
    Map<String, Object> remove(String documentId);



}
